For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
      • POSTAdds a task bundle to a project.
      • GETLists task bundles.
      • POSTCreates a task bundle.
      • POSTCreates a task bundle from a project.
      • POSTCreates a task bundle from a task list.
      • GETLists available task bundle icons.
      • GETGets a task bundle by id.
      • PUTUpdates a task bundle.
      • DELDeletes a task bundle.
      • POSTCreates a copy of an existing task bundle.
      • GETLists task list templates for a task bundle.
      • POSTCreates a task list template for a bundle.
      • GETGets a task list template.
      • PUTUpdates a task list template.
      • DELDeletes a task list template.
      • POSTAdds task templates to a task list template.
      • POSTRemoves task templates from a task list template.
      • GETLists task templates inside a task list template.
      • GETGets a task template inside a task list template.
      • POSTUpdates the order of a task template inside a task list template.
      • POSTUpdates the order of task templates in a task list template.
      • GETLists checklist item templates for a task template.
      • POSTCreates a checklist item template.
      • GETGets a checklist item template.
      • PUTUpdates a checklist item template.
      • DELDeletes a checklist item template.
      • POSTDeletes recurrence information from a task template.
      • GETGets recurrency details for a task template.
      • POSTAdds or updates a recurrence rule for a task template.
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Bundles

Updates a task list template.

PUT
https://api.awork.com/api/v1/taskbundles/:taskBundleId/tasklisttemplates/:taskListTemplateId
PUT
/api/v1/taskbundles/:taskBundleId/tasklisttemplates/:taskListTemplateId
$curl -X PUT https://api.awork.com/api/v1/taskbundles/taskBundleId/tasklisttemplates/taskListTemplateId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Website Redesign Tasks"
>}'
1{
2 "id": "9f8b7c6d-1234-4a56-b789-0c1d2e3f4a5b",
3 "createdOn": "2023-11-10T09:15:00Z",
4 "createdBy": "4a3b2c1d-5678-4e90-a123-4567890bcdef",
5 "updatedOn": "2024-04-20T14:45:00Z",
6 "updatedBy": "4a3b2c1d-5678-4e90-a123-4567890bcdef",
7 "name": "Website Redesign Tasks",
8 "order": 3,
9 "plannedDuration": 14400,
10 "totalPlannedDuration": 28800,
11 "totalPlannedDurationWithHierarchy": 43200,
12 "isArchived": false,
13 "isHiddenForConnectUsers": false
14}
<Check title="Required Permissions" icon="key">The user must be an admin or have `task-manage-config:write` permissions.</Check>
Was this page helpful?
Previous

Deletes a task list template.

Next
Built with
Required Permissions
The user must be an admin or have task-manage-config:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskBundleIdstringRequiredformat: "uuid"
The id of the task bundle.
taskListTemplateIdstringRequiredformat: "uuid"
The task list template id.

Request

The task list bundle put form.
namestringRequired1-1000 characters
The name of the list.
isHiddenForConnectUsersboolean or nullOptional
True if the task in this list will be not visible for external workspace users. False otherwise. If null, no change will be made.
orderdouble or nullOptional
The order of the list.

Response

OK
idstringformat: "uuid"
The id of the task list.
createdOnstringformat: "date-time"
The date this task list was created.
createdBystringformat: "uuid"
The id of the user who created this task list.
updatedOnstringformat: "date-time"
The date this task list was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this task list.
namestring or null
The name of the list.
orderdouble or null
The order of the list.
plannedDurationinteger or null
The planned duration for this task list, in seconds.
totalPlannedDurationlong or null

The total planned duration for this task list, including all primary tasks (parent tasks which have this tacklist as PrimaryTaskListId), in seconds. Calculated: sum PlannedDuration of primary tasks in list Archived task lists are not included in the calculation.

totalPlannedDurationWithHierarchylong or null

The total planned duration for this task list, including all primary tasks (parent tasks which have this task list as PrimaryTaskListId), in seconds. Calculated: max(PlannedDuration, sum TotalPlannedDurationWithHierarchy of primary tasks in list) Archived task lists are not included in the calculation.

isArchivedboolean
Whether the task list has been archived.
isHiddenForConnectUsersboolean
True if the task in this list will be not visible for external workspace users. False otherwise.

Errors

404
Not Found Error